package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.TcmdiseaseInfoDTO;
import com.diagbot.entity.TcmdiseaseConfig;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.TcmdiseaseConfigPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 中医疾病映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2021-05-13
 */
public interface TcmdiseaseConfigService extends IService<TcmdiseaseConfig> {

    /**
     * 分页查询
     *
     * @param tcmdiseaseConfigPageVO
     * @return
     */
    IPage<TcmdiseaseConfig> getPage(@Param("tcmdiseaseConfigPageVO") TcmdiseaseConfigPageVO tcmdiseaseConfigPageVO);

    /**
     * 中医疾病搜索
     *
     * @param retrievalVO
     * @return
     */
    List<TcmdiseaseConfig> getTcmdiseasesIndex(RetrievalVO retrievalVO);
}
