package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.TcmdiseaseInfoDTO;
import com.diagbot.entity.TcmdiseaseConfig;
import com.diagbot.mapper.TcmdiseaseConfigMapper;
import com.diagbot.service.TcmdiseaseConfigService;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.TcmdiseaseConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 中医疾病映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-05-13
 */
@Service
public class TcmdiseaseConfigServiceImpl extends ServiceImpl<TcmdiseaseConfigMapper, TcmdiseaseConfig> implements TcmdiseaseConfigService {
    /**
     * 分页查询
     *
     * @param tcmdiseaseConfigPageVO
     * @return
     */
    @Override
    public IPage<TcmdiseaseConfig> getPage(@Param("tcmdiseaseConfigPageVO") TcmdiseaseConfigPageVO tcmdiseaseConfigPageVO) {
        return baseMapper.getPage(tcmdiseaseConfigPageVO);
    }

    /**
     * 中医疾病搜索
     *
     * @param retrievalVO
     * @return
     */
    @Override
    public List<TcmdiseaseConfig> getTcmdiseasesIndex(RetrievalVO retrievalVO) {
        return baseMapper.getTcmdiseasesIndex(retrievalVO);
    }
}